/*
 * Copyright 2020, 2022 ZUP IT SERVICOS EM TECNOLOGIA E INOVACAO SA
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import 'package:flutter/widgets.dart';

/// The direction attribute will define the list direction.
enum BeagleDynamicListDirection {
  /// Items list are displayed in vertical direction like LINES.
  VERTICAL,

  ///Items list are displayed in Horizontal direction like COLUMNS.
  HORIZONTAL,
}

extension BeagleDynamicListDirectionExtension on BeagleDynamicListDirection {
  Axis get axis {
    if (this == BeagleDynamicListDirection.VERTICAL) {
      return Axis.vertical;
    } else {
      return Axis.horizontal;
    }
  }
}
